#{extends 'borderNG.html' /}
#{set 'titleHead'} &{'lelangpaket.daftar_paket'} #{/set}

<div class="container">
    #{paketTabMenu /}
    <div class="content tab-content">
        <div class="tab-pane active">
            <ol class="breadcrumb">
                <li><a href="@{BerandaCtr.index()}">&{'lelangpaket.home'}</a></li>
                <li class="active">&{'lelangpaket.daftar_paket'}</li>
            </ol>
            #{if active_user.panitia }
                <form id="formFilter">
                    <table class="table table-sm table-bordered">
                        <tr>
                            <th class="bg-warning" width="200">&{'lelangpaket.kepanitiaan'}</th>
                            <td>#{selectPanitia 'panitiaId', value:panitiaId, autoSubmit:true/}</td>
                        </tr>
                     </table>
                </form>
            #{/if}
            #{alert /}
	        #{if isAllowCreate }<a class="btn btn-success" href="@{lelang.PaketCtr.rencana()}">&{'lelangpaket.buat_paket'}</a>#{/if}
            <br/><br/>
            <table class="table table-sm" id="tblLelang">
                <thead>
                <tr>
                    <th width="20" nowrap>&{'lelangpaket.kode'}</th>
                    <th>&{'lelangpaket.nama_paket'}</th>
                    <th width="15%">&{'lelangpaket.status'}</th>
                    <th width="15%">&{'lelangpaket.tgl_buat'}</th>
                    <th width="25%">&{'lelangpaket.satuan_kerja'}</th>
                    <th width="40"> </th>
                </tr>
                </thead>
            </table>
            #{if isAllowCreate }
                <div class="bs-callout bs-callout-warning">
                    &{'lelangpaket.pembuatan_paket_tender'}
                </div>
            #{/if}
        </div>
    </div>
</div>
#{set 'css_custom' } 
<link href="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/css/dataTables.bootstrap4.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/dataTables.bootstrap4.min.js"></script>
<script type="text/javascript" src="#{assets '/js/datatables.config.js'/}"></script>
<script type="text/javascript">  
var editPaket  = #{jsRoute @lelang.PaketCtr.edit(':id') /};
var viewPaket  = #{jsRoute @lelang.PaketCtr.view(':id') /};
var viewLelang = #{jsRoute @lelang.LelangCtr.view(':id') /};
var editLelang = #{jsRoute @lelang.LelangCtr.edit(':id') /};
var hapusPaket = #{jsRoute @lelang.PaketCtr.hapus(':id') /};
var viewTahap  = #{jsRoute @lelang.JadwalCtr.tahap(':id') /};
var pengumuman = #{jsRoute @lelang.LelangCtr.viewDraft(':id') /};
$(document).ready(function() {
    var table = $("#tblLelang").DataTable({
            language: {
                "sLengthMenu":   "&{'menu.slengthmenu'} _MENU_ data",
                "sSearch":       "&{'menu.ssearch'}",
                processing:   "&{'menu.processing'}",
                "sInfo":         "&{'menu.sinfo1'} _START_ &{'menu.sinfo2'} _END_ &{'menu.sinfo3'} _TOTAL_ data",
                "sInfoEmpty":    "&{'menu.sinfo1'} 0 &{'menu.sinfo2'} 0 &{'menu.sinfo3'} 0 data"
            },
            order: [[ 0, "desc"]],
            ajax: "${url.raw()}",
            columns: [{
                visible:false,
                render: function(data, type, row) {
                var paketId = row[0];
                var lelangId = row[5];
                var id = row[14] === 'true' ? lelangId : paketId;
                var paket = row[1];
                var lelangTipe = row[7];
                var action = '';
                var ulang = '';
                var evaluasiUlang = '';
                var penawaranUlang = '';
                var packageNameUrl = row[14] === 'true' ? viewLelang : editPaket;
                var status = row[2];
                var version = getLabelSpseVersion(row[6]);
                var flag = version.flag;
                var highlight = version.highlight;

                if(row[9] === 'true') {
                    action = '<a href="'+editLelang.url({id:id})+'"><span class="label label-primary"><i class="fa fa-edit"></i> &{'paket.buat_tender'}</span></a>'
                }
                if ((status != 'Draft' && status != 'Tender Sudah Selesai') && row[15] === 'true') {
                    action += '&nbsp;<a href="'+viewLelang.url({id:lelangId})+'"><span class="label label-warning">&{'paket.lihat_tender'}</span></a>'
                }
                if (row[10] === 'true') {
                    action += '<a href="'+hapusPaket.url({id:paketId})+'" onclick="return confirm(\'&{'paket.hapus_paket_msg'}\');">' +
                            '<span class="label label-danger"><i class="fa fa-trash-o"></i> &{'paket.hapus_paket'}</span></a>'
                }
                if(Number(row[8]) > 1)
                    ulang = '&nbsp<span class="badge  badge-warning">' + row[18] + '</span>';
                else if (Number(row[17]) == 1) {
                    penawaranUlang = '<span class="label label-info">&{'paket.penawaran_ulang'}</span>';
                } else if (Number(row[16] == 1)) {
                    evaluasiUlang = '<span class="label label-info">&{'paket.evaluasi_ulang'}</span>';
                }

                row[2] = '<a target="_blank" href="'+viewTahap.url({id:lelangId})+'">'+status+'</a>';
                row[5] = action;
                row[1] = '<a href="' + packageNameUrl.url({id: id}) + '">' + paket + '</a>&nbsp;' +
                            '<span class="badge  badge-info">' + lelangTipe + '</span>' + '&nbsp;' +
                            '<span class="' + highlight + '">' + flag + '</span>' + ulang + ' ' +
                            penawaranUlang + ' ' + evaluasiUlang;
                #{if active_user.panitia}
                if(status == 'Draft') {
                    row[1] = '<a href="' + pengumuman.url({id: lelangId}) + '" target="_blank">' + paket + '</a>&nbsp;' +
                            '<span class="badge  badge-info">' + lelangTipe + '</span>' + '&nbsp;' +
                            '<span class="' + highlight + '">' + flag + '</span>' + ulang + ' ' +
                            penawaranUlang + ' ' + evaluasiUlang;
                }
                #{/if}
                // is konsolidasi = 1
                if (row[19] == '1') {
                    var lblKonsolidasi = getKonsolidasiLabel()
                    row[1] += '&nbsp;<span class="' + lblKonsolidasi.highlight + '">' + lblKonsolidasi.flag + '</span>';
                }
                return row[1];
        	}}, null, null, null, null, {orderable:false}
        ],
    });
    $('#tblLelang_filter input').unbind();
    $('#tblLelang_filter input').bind('keyup', function(e) {
        if(e.keyCode == 13) {
          table.search(this.value).draw();
         }
    });
} );
</script>
#{/set}